## blinken 17.08.3

=== debian/changelog ===
blinken (4:17.08.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:35:40 +0800

blinken (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Adjust again l10npkgs_firstversion_ok to the fixed version of kde-
    l10n.

 -- Pino Toscano <pino@debian.org>  Mon, 20 Nov 2017 20:54:20 +0100

blinken (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Since translations moved here, handle the migration from kde-l10n.
  * Remove the unused transitional kdoctools-dev build dependency.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Nov 2017 14:29:50 +0100

=== debian/control ===
Source: blinken
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5xmlgui-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.4),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4)
Standards-Version: 4.1.1
Homepage: http://edu.kde.org/applications/all/blinken
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/blinken.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/blinken.git

Package: blinken
Architecture: any
Depends: ttf-sjfonts, ${misc:Depends}, ${shlibs:Depends}
Section: games
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE version of the Simon electronic memory game
 Blinken is based on an electronic game released in 1978, which
 challenges players to remember sequences of increasing length.  On
 the face of the device, there are 4 different color buttons, each
 with its own distinctive sound.  These buttons light up randomly,
 creating the sequence that the player must then recall.  If the
 player is successful in remembering the sequence of lights in the
 correct order, they advance to the next stage, where an identical
 sequence with one extra step is presented.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-4~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBIN_INSTALL_DIR=/usr/games

override_dh_auto_install:
	$(overridden_command)
	# Shipped in ttf-sjfonts
	rm -rv debian/blinken/usr/share/blinken/fonts/
	# Describing the handling of the "steve" font
	rm -v debian/blinken/usr/share/blinken/README.packagers

=== debian/watch ===
version=4
https://download.kde.org/stable/applications/([\d.]+)/src/@PACKAGE@-([\d.]+)\.tar\.xz

## blinken 17.12.3

=== CMakeLists.txt ===
project(blinken)

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)

# minimal Qt requirement
set (QT_MIN_VERSION "5.2.0")

# ECM
find_package (ECM 1.7.0 REQUIRED NO_MODULE)

# where to look first for cmake modules
set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

find_package (Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Svg)

find_package (KF5 REQUIRED COMPONENTS
    I18n XmlGui GuiAddons DocTools DBusAddons Crash
)

find_package (Phonon4Qt5)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

# global include directories
include_directories (${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory( doc )
add_subdirectory( src ) 
add_subdirectory( images ) 
add_subdirectory( icons ) 
add_subdirectory( sounds ) 
add_subdirectory( fonts ) 

########### install files ###############

install( FILES README.packagers  DESTINATION  ${KDE_INSTALL_DATADIR}/blinken/ )
install( FILES org.kde.blinken.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== src/CMakeLists.txt ===

########### next target ###############

set(blinken_SRCS 
   main.cpp 
   blinken.cpp 
   soundsplayer.cpp 
   blinkengame.cpp 
   number.cpp 
   highscoredialog.cpp 
   counter.cpp 
   button.cpp )

include_directories(${PHONON_INCLUDES})

kconfig_add_kcfg_files(blinken_SRCS settings.kcfgc )

add_executable(blinken ${blinken_SRCS})

target_link_libraries(blinken
    KF5::I18n
    KF5::XmlGui
    KF5::GuiAddons
    Qt5::Svg
    KF5::DBusAddons
    KF5::Crash
    ${PHONON_LIBRARIES}
    )

install(TARGETS blinken EXPORT blinken ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS org.kde.blinken.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES blinken.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR} )

=== debian/changelog ===
blinken (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:22:21 +0000

blinken (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:54:30 +0000

blinken (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:00:46 +0000

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,22 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.7.0~),
-               libkf5crash-dev,
-               libkf5dbusaddons-dev,
-               libkf5doctools-dev,
-               libkf5guiaddons-dev,
-               libkf5i18n-dev,
-               libkf5xmlgui-dev,
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5crash-dev (>= 5.31.0~),
+               libkf5dbusaddons-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5guiaddons-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5xmlgui-dev (>= 5.31.0~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
-               libqt5svg5-dev (>= 5.4),
+               libqt5svg5-dev (>= 5.6.1~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.4)
-Standards-Version: 4.1.1
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: http://edu.kde.org/applications/all/blinken
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/blinken.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/blinken.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/blinken
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/blinken
 
 Package: blinken
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/blinken-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/blinken-([\d.]+).tar.xz

## blinken 18.04.3

=== debian/changelog ===
blinken (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:13:25 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libphonon4qt5experimental-dev,
                libqt5svg5-dev (>= 5.6.1~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: http://edu.kde.org/applications/all/blinken
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/blinken

## blinken 18.12.3

=== debian/changelog ===
blinken (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:24:16 +0000

blinken (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:11:43 +0000

blinken (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:07:24 +0000

blinken (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:46:11 +0000

blinken (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Update upstream metadata urls to KDE cgit.
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 16 Dec 2018 23:32:09 +0000

## blinken 19.04.3

=== debian/changelog ===
blinken (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:09:57 +0100

blinken (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 14:58:13 +0100

blinken (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:54:02 +0100

blinken (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:39:20 +0100

## blinken 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,35 +1,45 @@
-project(blinken)
+cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
 
-cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
+# KDE Application Version, managed by release script
+set(KDE_APPLICATIONS_VERSION_MAJOR "19")
+set(KDE_APPLICATIONS_VERSION_MINOR "12")
+set(KDE_APPLICATIONS_VERSION_MICRO "3")
+set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+
+project(blinken VERSION ${KDE_APPLICATIONS_VERSION})
 
 # minimal Qt requirement
-set (QT_MIN_VERSION "5.2.0")
+set(QT_MIN_VERSION "5.9.0")
+set(KF5_MIN_VERSION "5.46.0")
 
 # ECM
-find_package (ECM 1.7.0 REQUIRED NO_MODULE)
+find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 
 # where to look first for cmake modules
 set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 find_package (Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Svg)
 
-find_package (KF5 REQUIRED COMPONENTS
+find_package (KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     I18n XmlGui GuiAddons DocTools DBusAddons Crash
 )
 
-find_package (Phonon4Qt5)
+find_package (Phonon4Qt5 REQUIRED)
 
 include(KDEInstallDirs)
-include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 include(FeatureSummary)
 include(ECMAddAppIcon)
 include(ECMInstallIcons)
-
-add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
+include(ECMSetupVersion)
 
 # global include directories
 include_directories (${CMAKE_CURRENT_BINARY_DIR})
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
+endif()
 
 add_subdirectory( doc )
 add_subdirectory( src )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 
 ########### next target ###############
+
+ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX BLINKEN VERSION_HEADER blinken_version.h)
 
 set(blinken_SRCS 
    main.cpp 
@@ -15,6 +17,8 @@
 
 kconfig_add_kcfg_files(blinken_SRCS settings.kcfgc )
 
+file(GLOB ICON_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/*-apps-blinken.png")
+ecm_add_app_icon(blinken_SRCS ICONS ${ICON_SRCS})
 add_executable(blinken ${blinken_SRCS})
 
 target_link_libraries(blinken

=== debian/changelog ===
blinken (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:03:55 +0000

blinken (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:15:48 +0000

blinken (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:49:40 +0000

blinken (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:43:09 +0000

blinken (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:28:01 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Eshat Cakar <info@eshat.de>,
-           Maximiliano Curia <maxy@debian.org>
+           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
@@ -19,7 +19,7 @@
                libqt5svg5-dev (>= 5.6.1~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
-Standards-Version: 3.9.6
+Standards-Version: 4.1.1
 Homepage: http://edu.kde.org/applications/all/blinken
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/blinken
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/blinken

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-l10npkgs_firstversion_ok := 4:16.04.3-4~
+l10npkgs_firstversion_ok := 4:17.03.90-0~
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

## blinken 20.08.1

=== debian/changelog ===
blinken (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:48:07 +0100

blinken (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:42:23 +0100

blinken (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Replace the transitional ttf-sjfonts dependency with fonts-sjfonts.
  * Add the configuration for the CI on salsa.
  * Add Rules-Requires-Root: no.
  * Change an internal hostname of an old Ubuntu changelog entry to
    ubuntu@ubuntu.com to avoid lintian issues.

 -- Pino Toscano <pino@debian.org>  Wed, 22 Jul 2020 16:31:16 +0200

blinken (4:20.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump the Qt5 packages to 5.9.0
    - bump ECM, and the KF5 packages to 5.46.0
    - explicitly add gettext
  * Drop the man page, as it is outdated, and it does not provide any useful
    content.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Switch cmake parameter BIN_INSTALL_DIR to KDE_INSTALL_BINDIR, as the former
    is deprecated.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.
  * Use https for Format in copyright.

 -- Pino Toscano <pino@debian.org>  Sat, 02 May 2020 09:52:49 +0200

blinken (4:17.08.0-1~) UNRELEASED; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 16:44:18 +0200

blinken (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:29:42 +0000

blinken (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:17:27 +0000

blinken (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:19:26 +0000

blinken (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:08:14 +0000

blinken (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:01:59 +0000

blinken (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:04 +0000

blinken (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:55:21 +0000

blinken (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:13:43 +0000

blinken (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:21:51 +0000

blinken (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:52:11 +0000

blinken (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:15 +0000

blinken (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:04:56 +0000

blinken (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:01 +0000

blinken (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:39:48 +0000

blinken (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Jun 2016 11:09:11 +0000

=== debian/control ===
Source: blinken
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.46.0~),
               gettext,
               libkf5crash-dev (>= 5.46.0~),
               libkf5dbusaddons-dev (>= 5.46.0~),
               libkf5doctools-dev (>= 5.46.0~),
               libkf5guiaddons-dev (>= 5.46.0~),
               libkf5i18n-dev (>= 5.46.0~),
               libkf5xmlgui-dev (>= 5.46.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.9.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://edu.kde.org/applications/all/blinken
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/blinken
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/blinken.git

Package: blinken
Architecture: any
Depends: fonts-sjfonts, ${misc:Depends}, ${shlibs:Depends}
Section: games
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE version of the Simon electronic memory game
 Blinken is based on an electronic game released in 1978, which
 challenges players to remember sequences of increasing length.  On
 the face of the device, there are 4 different color buttons, each
 with its own distinctive sound.  These buttons light up randomly,
 creating the sequence that the player must then recall.  If the
 player is successful in remembering the sequence of lights in the
 correct order, they advance to the next stage, where an identical
 sequence with one extra step is presented.
 .
 This package is part of the KDE education module.

## blinken 20.12.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.5 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "20")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "1")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(blinken VERSION ${RELEASE_SERVICE_VERSION})

# minimal Qt requirement
set(QT_MIN_VERSION "5.10.0")
set(KF5_MIN_VERSION "5.55.0")

# ECM
find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules
set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

find_package (Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Svg)

find_package (KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    I18n XmlGui GuiAddons DocTools DBusAddons Crash
)

find_package (Phonon4Qt5 REQUIRED)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMSetupVersion)

# global include directories
include_directories (${CMAKE_CURRENT_BINARY_DIR})


add_subdirectory( doc )
add_subdirectory( src ) 
add_subdirectory( images ) 
add_subdirectory( icons ) 
add_subdirectory( sounds ) 
add_subdirectory( fonts ) 

########### install files ###############

ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()
install( FILES README.packagers  DESTINATION  ${KDE_INSTALL_DATADIR}/blinken/ )
install( FILES org.kde.blinken.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== images/CMakeLists.txt ===
install( FILES blinken.svg DESTINATION  ${KDE_INSTALL_DATADIR}/blinken/images )

=== sounds/CMakeLists.txt ===
install( FILES 1.wav 2.wav 3.wav 4.wav lose.wav  DESTINATION  ${KDE_INSTALL_DATADIR}/blinken/sounds )

=== debian/changelog ===
blinken (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use secure URI in Homepage field.
  * Re-export upstream signing key without extra signatures.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.10.0
    - bump KF packages to 5.55.0
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jan 2021 23:00:46 +0100

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,23 @@
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
-               extra-cmake-modules (>= 5.46.0~),
+               debhelper-compat (= 13),
+               extra-cmake-modules (>= 5.55.0~),
                gettext,
-               libkf5crash-dev (>= 5.46.0~),
-               libkf5dbusaddons-dev (>= 5.46.0~),
-               libkf5doctools-dev (>= 5.46.0~),
-               libkf5guiaddons-dev (>= 5.46.0~),
-               libkf5i18n-dev (>= 5.46.0~),
-               libkf5xmlgui-dev (>= 5.46.0~),
+               libkf5crash-dev (>= 5.55.0~),
+               libkf5dbusaddons-dev (>= 5.55.0~),
+               libkf5doctools-dev (>= 5.55.0~),
+               libkf5guiaddons-dev (>= 5.55.0~),
+               libkf5i18n-dev (>= 5.55.0~),
+               libkf5xmlgui-dev (>= 5.55.0~),
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
-               libqt5svg5-dev (>= 5.9.0~),
+               libqt5svg5-dev (>= 5.10.0~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.9.0~),
-Standards-Version: 4.5.0
+               qtbase5-dev (>= 5.10.0~),
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://edu.kde.org/applications/all/blinken
+Homepage: https://edu.kde.org/applications/all/blinken
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/blinken
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/blinken.git

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-4~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DKDE_INSTALL_BINDIR=/usr/games

override_dh_auto_install:
	dh_auto_install
	# Shipped in fonts-sjfonts
	rm -rv debian/blinken/usr/share/blinken/fonts/
	# Describing the handling of the "steve" font
	rm -v debian/blinken/usr/share/blinken/README.packagers

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## blinken 20.12.3

=== debian/changelog ===
blinken (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:14:32 +0000

blinken (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:48:57 +0000

## blinken 21.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "20")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(blinken VERSION ${RELEASE_SERVICE_VERSION})

## blinken 21.08.1

=== debian/changelog ===
blinken (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:29:17 +0100

blinken (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:57:14 +0100

blinken (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:49:36 +0100

blinken (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:29:59 +0100

blinken (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:38:01 +0100

blinken (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:34:09 +0100

blinken (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:01:09 +0100

blinken (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:28:48 +0100

## blinken 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "21")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(blinken VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
blinken (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:05:31 +0000

blinken (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:11:57 +0000

blinken (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:19:55 +0000

blinken (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:16:41 +0000

blinken (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:01:09 +0000

blinken (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:12:16 +0000

blinken (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:22:01 +0000

blinken (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:35:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: blinken
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
@@ -23,8 +24,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/applications/all/blinken
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/blinken
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/blinken.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/blinken
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/blinken
 
 Package: blinken
 Architecture: any

## blinken 22.08.1

=== debian/changelog ===
blinken (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:35:01 +0100

blinken (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:45:27 +0100

blinken (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:22:38 +0100

blinken (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:56:09 +0100

blinken (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:52:55 +0100

blinken (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:42:46 +0100

## blinken 22.12.0

=== debian/changelog ===
blinken (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:24 +0100

blinken (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:47 +0100

blinken (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:42:59 +0900

blinken (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Eshat Cakar, Maximiliano Curia from the uploaders, thanks
    for your work on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 09:37:15 +0900

=== debian/control ===
Source: blinken
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5guiaddons-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.15.2~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://edu.kde.org/applications/all/blinken
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/blinken
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/blinken.git

Package: blinken
Architecture: any
Depends: fonts-sjfonts, ${misc:Depends}, ${shlibs:Depends}
Section: games
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE version of the Simon electronic memory game
 Blinken is based on an electronic game released in 1978, which
 challenges players to remember sequences of increasing length.  On
 the face of the device, there are 4 different color buttons, each
 with its own distinctive sound.  These buttons light up randomly,
 creating the sequence that the player must then recall.  If the
 player is successful in remembering the sequence of lights in the
 correct order, they advance to the next stage, where an identical
 sequence with one extra step is presented.
 .
 This package is part of the KDE education module.

## blinken 22.12.3

=== debian/changelog ===
blinken (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:42 +0100

blinken (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 22:33:02 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libqt5svg5-dev (>= 5.15.2~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/applications/all/blinken
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/blinken
@@ -29,11 +29,11 @@
 
 Package: blinken
 Architecture: any
-Depends: fonts-sjfonts, ${misc:Depends}, ${shlibs:Depends}
+Depends: fonts-sjfonts, ${misc:Depends}, ${shlibs:Depends},
 Section: games
-Suggests: khelpcenter
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
+Suggests: khelpcenter,
+Breaks: ${kde-l10n:all},
+Replaces: ${kde-l10n:all},
 Description: KDE version of the Simon electronic memory game
  Blinken is based on an electronic game released in 1978, which
  challenges players to remember sequences of increasing length.  On

## blinken 23.08.1

=== debian/changelog ===
blinken (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:54:21 +0100

blinken (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:49:08 +0100

blinken (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:29:16 +0100

blinken (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:41:16 +0100

blinken (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:53:05 +0100

blinken (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:33:22 +0000

blinken (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:09:16 -0600

blinken (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:10:38 +0000

blinken (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jan 2023 15:24:21 +0000

blinken (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:04:12 +0000

blinken (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:00:38 +0000

blinken (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:46:57 +0000

blinken (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:04:22 +0000

## blinken 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "5")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(blinken VERSION ${RELEASE_SERVICE_VERSION})

# minimal Qt requirement
set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.92.0")

# ECM
find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules
set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(FeatureSummary)
include(ECMDeprecationSettings)
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()

find_package (Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Svg)

find_package (KF${KF_MAJOR_VERSION} ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons I18n XmlGui GuiAddons DocTools DBusAddons Crash
)

find_package (Phonon4Qt${QT_MAJOR_VERSION} REQUIRED)

# global include directories
include_directories (${CMAKE_CURRENT_BINARY_DIR})
ecm_set_disabled_deprecation_versions(QT 6.4  KF 5.101.0)

add_subdirectory( doc )
add_subdirectory( src ) 
add_subdirectory( images ) 
add_subdirectory( icons ) 
add_subdirectory( sounds ) 
add_subdirectory( fonts ) 

########### install files ###############

ki18n_install(po)
if (KF${KF_MAJOR_VERSION}DocTools_FOUND)
    kdoctools_install(po)
endif()
install( FILES README.packagers  DESTINATION  ${KDE_INSTALL_DATADIR}/blinken/ )
install( FILES org.kde.blinken.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
blinken (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libphonon4qt5-4t64, libqt5core5t64,
    libqt5gui5t64, libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:37:40 +0200

blinken (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:42:14 +0000

blinken (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:58:18 +0000

blinken (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:27:13 -0700

blinken (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:10:40 +0000

blinken (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:29:43 +0000

blinken (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:26:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: blinken
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
@@ -21,19 +22,19 @@
                libqt5svg5-dev (>= 5.15.2~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://edu.kde.org/applications/all/blinken
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/blinken
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/blinken.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/blinken
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/blinken
 
 Package: blinken
 Architecture: any
-Depends: fonts-sjfonts, ${misc:Depends}, ${shlibs:Depends},
+Depends: fonts-sjfonts, ${misc:Depends}, ${shlibs:Depends}
 Section: games
-Suggests: khelpcenter,
-Breaks: ${kde-l10n:all},
-Replaces: ${kde-l10n:all},
+Suggests: khelpcenter
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: KDE version of the Simon electronic memory game
  Blinken is based on an electronic game released in 1978, which
  challenges players to remember sequences of increasing length.  On

## blinken 24.08.2

=== debian/changelog ===
blinken (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:50:11 -0500

blinken (4:24.08.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update build dependencies and build rules for KF6.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 01 Nov 2024 18:59:50 -0500

=== debian/control ===
Source: blinken
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libphonon4qt6-dev,
               libphonon4qt6experimental-dev,
               qt6-svg-dev (>= 6.5.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://edu.kde.org/applications/all/blinken
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/blinken
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/blinken

Package: blinken
Architecture: any
Depends: fonts-sjfonts, ${misc:Depends}, ${shlibs:Depends},
Section: games
Suggests: khelpcenter,
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: KDE version of the Simon electronic memory game
 Blinken is based on an electronic game released in 1978, which
 challenges players to remember sequences of increasing length.  On
 the face of the device, there are 4 different color buttons, each
 with its own distinctive sound.  These buttons light up randomly,
 creating the sequence that the player must then recall.  If the
 player is successful in remembering the sequence of lights in the
 correct order, they advance to the next stage, where an identical
 sequence with one extra step is presented.
 .
 This package is part of the KDE education module.

## blinken 24.12.0

=== debian/changelog ===
blinken (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:00:53 +0000

blinken (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:00:53 +0000

blinken (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 19:10:32 +0000

blinken (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:35:07 +0000
